
#include <windows.h>

#include "opengl.h"
#include "window.h"
#include "utility.h"
#include "station.h"


int WINAPI WinMain(HINSTANCE hinst, HINSTANCE hpinst, LPSTR cmdl, int cmds)
{
    load_stations ("us_stations.txt");
    load_data ("curdata.txt");

    window_class window;
    opengl_class opengl;

    window.start(hinst, &opengl);   // Start window with link to opengl
    opengl.start( &window );        // Start opengl with link to window

    int ret = window.loop();        // Run the window loop

    opengl.stop();
    window.stop();
  
    return ret;
}




